28 July 2017

KLCERT-17-001: Sentinel LDK RTE: language pack with invalid HTML files leads to Denial of Service

Timeline

Timeline

  • Kaspersky ICS CERT advisory published

    28 July 2017

  • Vendor advisory published

    16 June 2017

  • Vulnerability reported

    05 December 2016

Description

Language pack (ZIP file) with invalid HTML files lead to NULL pointer access. Remote attacker can create language pack file on their own with invalid HTML file. The vulnerability cause denial of service of remote process.
OVAL definition*

Exploitability

Remotely

Attack complexity

Low

User interaction

None

Impact

An unauthenticated attacker may be able to exploit vulnerability and cause remote process crash.

Existence of exploit

Unknown

Affected products

HASP SRM, Sentinel HASP and Sentinel LDK products, prior to Sentinel LDK RTE 7.55 (hasplms.exe before 19.3.1.66130).

Mitigation

Vendor mitigation

Customers who have Sentinel LDK (RTE) Run-time Environment version (v2.10 – 7.50) are advised to update their Sentinel LDK RTE to the latest Sentinel LDK RTE component (v 7.55) which was released on May 25, 2017. This update can be found on the Sentinel Downloads site.

Kaspersky Lab mitigation

For Industrial Control Systems it is necessary:

  • implement network monitoring to detect suspicious behavior on the remote port 1947;
  • monitor the suspicious file executions.

Kaspersky Lab publishes information on newly identified vulnerabilities in order to raise user awareness of the IT security threats detected. Kaspersky Lab does not make any guarantees in respect of information received from vendors of products in which vulnerabilities have been identified, which is included in the following sections of the advisory: Affected Products, Vendor Mitigation.

Timeline

  • Kaspersky ICS CERT advisory published

    28 July 2017

  • Vendor advisory published

    16 June 2017

  • Vulnerability reported

    05 December 2016